Package de.willuhn.jameica.hbci.passports.ddv.rmi

# Interface Reader

All Known Implementing Classes:
  `AbstractKaanReader`, `AbstractReader`, `CherrySmartboardReader`, `ChipDriveMicroReader`, `ChipDrivePinPad532Reader`, `CustomReader`, `KaanStandardPlusReader`, `KaanTriBankReader`, `OmniKey4000Reader`, `PCSCReader`, `PCSCWrapperReader`, `RDHReader`, `ReinerSCTCyberJackReader`

public interface Reader
Um die vielen am Markt erhaeltlichen Chipkarten-Leser flexibel und erweiterbar abbilden und mit sinnvollen Default-Einstellungen anbieten zu koennen, implementieren wir jeden unterstuetzten Reader in einer separaten Klasse.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Reader.Type`
Typ-Definition fuer die verschiedenen Arten von Karten.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`int`
`getCTNumber()`
Liefert den Index des Readers.
`String`
`getDefaultHBCIVersion()`
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist.
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.
`String`
`getPort()`
Liefert einen vordefinierten Port.
`Reader.Type`
`getType()`
Liefert die Art des Kartenlesers.
`boolean`
`isSupported()`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.
`boolean`
`useSoftPin()`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

## Method Details

### getName

String getName()
Liefert den Namen des Chipkartenlesers.

Returns:
  Name des Lesers.

### getCTAPIDriver

String getCTAPIDriver()
Liefert Pfad und Dateiname des CTAPI-Treibers.

Returns:
  Pfad und Dateiname des CTAPI-Treibers.

### getPort

String getPort()
Liefert einen vordefinierten Port.

Returns:
  Port.

### getCTNumber

int getCTNumber()
Liefert den Index des Readers.

Returns:
  Index des Readers.

### isSupported

boolean isSupported()
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

Returns:
  `true`, wenn er unterstuetzt wird.

### useSoftPin

boolean useSoftPin()
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

Returns:
  `true` wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

### getType

Reader.Type getType()
Liefert die Art des Kartenlesers.

Returns:
  die Art des Kartenlesers.

### getDefaultHBCIVersion

String getDefaultHBCIVersion()
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist. Wird zum Beispiel bei der Suche nach Kartenlesern verwendet.

Returns:
  die Default-HBCI-Version.